<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->

  <title>task-manager-server: ProjectEndpoint</title>

  <!-- Mobile viewport optimized: j.mp/bplateviewport -->
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <!-- Bootstrap core CSS -->
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">

  <!--custom css for these pages-->
  <link rel="stylesheet" href="css/enunciate.css">

  <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->
</head>

<body data-spy="scroll" data-target="#apinav">

  <nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container-fluid">
      <div class="navbar-header">
        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar">
          <span class="sr-only">Toggle navigation</span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="index.html">task-manager-server: ProjectEndpoint</a>
      </div>
      <div id="navbar" class="navbar-collapse collapse">
        <ul class="nav navbar-nav navbar-right">
          <li><a href="services.html">Services</a></li>
          <li><a href="data.html">Data Types</a></li>
          <li><a href="downloads.html">Files and Libraries</a></li>
        </ul>
      </div>
    </div>
  </nav>

  <div class="container-fluid">
    <div class="row">
      <div class="col-sm-3 col-md-2 sidebar" id="apinav">
        <ul class="nav nav-sidebar">
          <li><a href="#service_ns0_ProjectEndpointService_method_createWithTwoParamProject"><abbr title="createWithTwoParamProject" class="side-abbr"><span class="sideoverflow">createWithTwoParamProject</span></abbr></a></li>
          <li><a href="#service_ns0_ProjectEndpointService_method_findAllProject"><abbr title="findAllProject" class="side-abbr"><span class="sideoverflow">findAllProject</span></abbr></a></li>
          <li><a href="#service_ns0_ProjectEndpointService_method_createWithThreeParamProject"><abbr title="createWithThreeParamProject" class="side-abbr"><span class="sideoverflow">createWithThreeParamProject</span></abbr></a></li>
          <li><a href="#service_ns0_ProjectEndpointService_method_findProjectById"><abbr title="findProjectById" class="side-abbr"><span class="sideoverflow">findProjectById</span></abbr></a></li>
          <li><a href="#service_ns0_ProjectEndpointService_method_findProjectByIndex"><abbr title="findProjectByIndex" class="side-abbr"><span class="sideoverflow">findProjectByIndex</span></abbr></a></li>
          <li><a href="#service_ns0_ProjectEndpointService_method_findProjectByName"><abbr title="findProjectByName" class="side-abbr"><span class="sideoverflow">findProjectByName</span></abbr></a></li>
          <li><a href="#service_ns0_ProjectEndpointService_method_removeProjectByName"><abbr title="removeProjectByName" class="side-abbr"><span class="sideoverflow">removeProjectByName</span></abbr></a></li>
          <li><a href="#service_ns0_ProjectEndpointService_method_removeProjectByIndex"><abbr title="removeProjectByIndex" class="side-abbr"><span class="sideoverflow">removeProjectByIndex</span></abbr></a></li>
          <li><a href="#service_ns0_ProjectEndpointService_method_removeProjectById"><abbr title="removeProjectById" class="side-abbr"><span class="sideoverflow">removeProjectById</span></abbr></a></li>
          <li><a href="#service_ns0_ProjectEndpointService_method_updateProjectById"><abbr title="updateProjectById" class="side-abbr"><span class="sideoverflow">updateProjectById</span></abbr></a></li>
          <li><a href="#service_ns0_ProjectEndpointService_method_updateProjectByIndex"><abbr title="updateProjectByIndex" class="side-abbr"><span class="sideoverflow">updateProjectByIndex</span></abbr></a></li>
          <li><a href="#service_ns0_ProjectEndpointService_method_numberOfAllProjects"><abbr title="numberOfAllProjects" class="side-abbr"><span class="sideoverflow">numberOfAllProjects</span></abbr></a></li>
          <li class="divider"></li>
          <li class="text-right"><a href="#top"><small>Back to Top</small></a></li>
        </ul>
      </div>

      <div class="col-sm-9 col-sm-offset-3 col-md-10 col-md-offset-2 main">
        <ol class="breadcrumb" id="top">
          <li class="active dropdown"><a href="index.html">Home</a></li>
          <li class="dropdown"><a href="service_ns0_ProjectEndpointService.html">ProjectEndpoint</a></li>
        </ol>

      <h1 class="page-header">ProjectEndpoint <small>Service</small></h1>

      <p></p>

      <dl class="dl-horizontal">
        <dt>Namespace</dt>
        <dd>http://endpoint.tm.amster.ru/</dd>
        <dt>WSDL</dt>
        <dd><a href="ns0.wsdl">ns0.wsdl</a></dd>
        <dt>Path</dt>
        <dd><a href="../../ProjectEndpointService">/ProjectEndpointService</a></dd>
      </dl>

      <h2 id="service_ns0_ProjectEndpointService_method_createWithTwoParamProject">createWithTwoParamProject <small>Operation</small></h2>

        <p></p>

      <table class="table service-input-parameters">
        <caption>Input Parameters</caption>
        <thead>
        <tr>
          <th>name</th>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td><span class="parameter-name">session (arg0)</span></td>
          <td><span class="datatype-reference"><a href="xml_ns1_session.html">session</a>
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        <tr>
          <td><span class="parameter-name">name (arg1)</span></td>
          <td><span class="datatype-reference">string
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <h2 id="service_ns0_ProjectEndpointService_method_findAllProject">findAllProject <small>Operation</small></h2>

        <p></p>

      <table class="table service-input-parameters">
        <caption>Input Parameters</caption>
        <thead>
        <tr>
          <th>name</th>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td><span class="parameter-name">session (arg0)</span></td>
          <td><span class="datatype-reference"><a href="xml_ns1_session.html">session</a>
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <table class="table service-return-value">
        <caption>Return Value</caption>
        <thead>
        <tr>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td>list of <a href="xml_ns1_project.html">project</a>
</td>
          <td><span class="return-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <h2 id="service_ns0_ProjectEndpointService_method_createWithThreeParamProject">createWithThreeParamProject <small>Operation</small></h2>

        <p></p>

      <table class="table service-input-parameters">
        <caption>Input Parameters</caption>
        <thead>
        <tr>
          <th>name</th>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td><span class="parameter-name">session (arg0)</span></td>
          <td><span class="datatype-reference"><a href="xml_ns1_session.html">session</a>
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        <tr>
          <td><span class="parameter-name">name (arg1)</span></td>
          <td><span class="datatype-reference">string
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        <tr>
          <td><span class="parameter-name">description (arg2)</span></td>
          <td><span class="datatype-reference">string
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <h2 id="service_ns0_ProjectEndpointService_method_findProjectById">findProjectById <small>Operation</small></h2>

        <p></p>

      <table class="table service-input-parameters">
        <caption>Input Parameters</caption>
        <thead>
        <tr>
          <th>name</th>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td><span class="parameter-name">session (arg0)</span></td>
          <td><span class="datatype-reference"><a href="xml_ns1_session.html">session</a>
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        <tr>
          <td><span class="parameter-name">id (arg1)</span></td>
          <td><span class="datatype-reference">string
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <table class="table service-return-value">
        <caption>Return Value</caption>
        <thead>
        <tr>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td><a href="xml_ns1_project.html">project</a>
</td>
          <td><span class="return-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <h2 id="service_ns0_ProjectEndpointService_method_findProjectByIndex">findProjectByIndex <small>Operation</small></h2>

        <p></p>

      <table class="table service-input-parameters">
        <caption>Input Parameters</caption>
        <thead>
        <tr>
          <th>name</th>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td><span class="parameter-name">session (arg0)</span></td>
          <td><span class="datatype-reference"><a href="xml_ns1_session.html">session</a>
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        <tr>
          <td><span class="parameter-name">index (arg1)</span></td>
          <td><span class="datatype-reference">int
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <table class="table service-return-value">
        <caption>Return Value</caption>
        <thead>
        <tr>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td><a href="xml_ns1_project.html">project</a>
</td>
          <td><span class="return-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <h2 id="service_ns0_ProjectEndpointService_method_findProjectByName">findProjectByName <small>Operation</small></h2>

        <p></p>

      <table class="table service-input-parameters">
        <caption>Input Parameters</caption>
        <thead>
        <tr>
          <th>name</th>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td><span class="parameter-name">session (arg0)</span></td>
          <td><span class="datatype-reference"><a href="xml_ns1_session.html">session</a>
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        <tr>
          <td><span class="parameter-name">name (arg1)</span></td>
          <td><span class="datatype-reference">string
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <table class="table service-return-value">
        <caption>Return Value</caption>
        <thead>
        <tr>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td><a href="xml_ns1_project.html">project</a>
</td>
          <td><span class="return-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <h2 id="service_ns0_ProjectEndpointService_method_removeProjectByName">removeProjectByName <small>Operation</small></h2>

        <p></p>

      <table class="table service-input-parameters">
        <caption>Input Parameters</caption>
        <thead>
        <tr>
          <th>name</th>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td><span class="parameter-name">session (arg0)</span></td>
          <td><span class="datatype-reference"><a href="xml_ns1_session.html">session</a>
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        <tr>
          <td><span class="parameter-name">name (arg1)</span></td>
          <td><span class="datatype-reference">string
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <table class="table service-return-value">
        <caption>Return Value</caption>
        <thead>
        <tr>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td><a href="xml_ns1_project.html">project</a>
</td>
          <td><span class="return-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <h2 id="service_ns0_ProjectEndpointService_method_removeProjectByIndex">removeProjectByIndex <small>Operation</small></h2>

        <p></p>

      <table class="table service-input-parameters">
        <caption>Input Parameters</caption>
        <thead>
        <tr>
          <th>name</th>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td><span class="parameter-name">session (arg0)</span></td>
          <td><span class="datatype-reference"><a href="xml_ns1_session.html">session</a>
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        <tr>
          <td><span class="parameter-name">index (arg1)</span></td>
          <td><span class="datatype-reference">int
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <table class="table service-return-value">
        <caption>Return Value</caption>
        <thead>
        <tr>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td><a href="xml_ns1_project.html">project</a>
</td>
          <td><span class="return-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <h2 id="service_ns0_ProjectEndpointService_method_removeProjectById">removeProjectById <small>Operation</small></h2>

        <p></p>

      <table class="table service-input-parameters">
        <caption>Input Parameters</caption>
        <thead>
        <tr>
          <th>name</th>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td><span class="parameter-name">session (arg0)</span></td>
          <td><span class="datatype-reference"><a href="xml_ns1_session.html">session</a>
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        <tr>
          <td><span class="parameter-name">id (arg1)</span></td>
          <td><span class="datatype-reference">string
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <table class="table service-return-value">
        <caption>Return Value</caption>
        <thead>
        <tr>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td><a href="xml_ns1_project.html">project</a>
</td>
          <td><span class="return-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <h2 id="service_ns0_ProjectEndpointService_method_updateProjectById">updateProjectById <small>Operation</small></h2>

        <p></p>

      <table class="table service-input-parameters">
        <caption>Input Parameters</caption>
        <thead>
        <tr>
          <th>name</th>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td><span class="parameter-name">session (arg0)</span></td>
          <td><span class="datatype-reference"><a href="xml_ns1_session.html">session</a>
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        <tr>
          <td><span class="parameter-name">id (arg1)</span></td>
          <td><span class="datatype-reference">string
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        <tr>
          <td><span class="parameter-name">name (arg2)</span></td>
          <td><span class="datatype-reference">string
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        <tr>
          <td><span class="parameter-name">description (arg3)</span></td>
          <td><span class="datatype-reference">string
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <table class="table service-return-value">
        <caption>Return Value</caption>
        <thead>
        <tr>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td><a href="xml_ns1_project.html">project</a>
</td>
          <td><span class="return-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <h2 id="service_ns0_ProjectEndpointService_method_updateProjectByIndex">updateProjectByIndex <small>Operation</small></h2>

        <p></p>

      <table class="table service-input-parameters">
        <caption>Input Parameters</caption>
        <thead>
        <tr>
          <th>name</th>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td><span class="parameter-name">session (arg0)</span></td>
          <td><span class="datatype-reference"><a href="xml_ns1_session.html">session</a>
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        <tr>
          <td><span class="parameter-name">index (arg1)</span></td>
          <td><span class="datatype-reference">int
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        <tr>
          <td><span class="parameter-name">name (arg2)</span></td>
          <td><span class="datatype-reference">string
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        <tr>
          <td><span class="parameter-name">description (arg3)</span></td>
          <td><span class="datatype-reference">string
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <table class="table service-return-value">
        <caption>Return Value</caption>
        <thead>
        <tr>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td><a href="xml_ns1_project.html">project</a>
</td>
          <td><span class="return-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <h2 id="service_ns0_ProjectEndpointService_method_numberOfAllProjects">numberOfAllProjects <small>Operation</small></h2>

        <p></p>

      <table class="table service-input-parameters">
        <caption>Input Parameters</caption>
        <thead>
        <tr>
          <th>name</th>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td><span class="parameter-name">session (arg0)</span></td>
          <td><span class="datatype-reference"><a href="xml_ns1_session.html">session</a>
</span></td>
          <td><span class="parameter-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

      <table class="table service-return-value">
        <caption>Return Value</caption>
        <thead>
        <tr>
          <th>type</th>
          <th>description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td>int
</td>
          <td><span class="return-description">&nbsp;</span></td>
        </tr>
        </tbody>
      </table>

        <footer class="footer">
          <div class="container">
            <p class="text-muted">Generated by <a href="http://enunciate.webcohesion.com">Enunciate</a>.</p>
          </div>
        </footer>

      </div>
    </div>
  </div>


  <!-- JavaScript placed at the end of the document so the pages load faster. -->
  <script src="https://code.jquery.com/jquery-1.12.2.min.js"></script>

  <!-- Bootstrap core JavaScript
  ================================================== -->
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

  <!-- prettify code blocks. see http://code.google.com/p/google-code-prettify/ -->
  <script src="https://cdn.jsdelivr.net/gh/google/code-prettify@master/loader/run_prettify.js" type="text/javascript"></script>
  <script>
    $(function() {
      $(".clickable-row").click(function() {
        window.document.location = $(this).data("href");
      });

      $('[data-toggle="tooltip"]').tooltip()
    });
  </script>

</body>
</html>
